import java.io.OutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.PrintWriter;
import java.util.StringTokenizer;
import java.io.IOException;
import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.io.InputStream;

public class stub {
    public static void main(String args[]) {
        InputStream inputStream = System.in;
        OutputStream outputStream = System.out;
        InputReader in = new InputReader(inputStream);
        PrintWriter out = new PrintWriter(outputStream);
        Runner runner = new Runner();
        runner.run(in, out);
        out.close();
    }

    static class Runner {
        public void run(InputReader in, PrintWriter out) {
            String type = in.nextString();
            if (type.equals("ENCODE")) {
                int day = in.nextInt();
                int hour = in.nextInt();
                int minute = in.nextInt();
                String message = String.format("%02d %02d:%02d", day, hour, minute);
                out.println(attack.encode(message));
            } else if (type.equals("DECODE")) {
                out.println(attack.decode(in.nextString()));
            } else {
                String error = String.format("Unknown query type %s", type);
                throw new RuntimeException(error);
            }
        }
    }

    static class InputReader {
        public BufferedReader reader;
        public StringTokenizer tokenizer;

        public InputReader(InputStream stream) {
            reader = new BufferedReader(new InputStreamReader(stream), 32768);
            tokenizer = null;
        }

        public String nextString() {
            while (tokenizer == null || !tokenizer.hasMoreTokens()) {
                try {
                    tokenizer = new StringTokenizer(reader.readLine());
                } catch (IOException e) {
                    throw new RuntimeException(e);
                }
            }
            return tokenizer.nextToken();
        }

        public String next() {
            return nextString();
        }

        public int nextInt() {
            return Integer.parseInt(nextString());
        }
    }
}
